// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.navigation.handler;

import org.apache.log4j.Logger;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.CLabel;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Text;

/**
 * @author n.hoffmann
 * @created 23.06.2009
 * @version 1.0
 */
public class NewTaxonomicTreeWizadPage extends WizardPage {
	private static final Logger logger = Logger
			.getLogger(NewTaxonomicTreeWizadPage.class);

	private Text text_treeLabel;

	/**
	 * @param pageName
	 */
	protected NewTaxonomicTreeWizadPage(String pageName) {
		super(pageName);
	}
	
	/* (non-Javadoc)
	 * @see org.eclipse.jface.dialogs.IDialogPage#createControl(org.eclipse.swt.widgets.Composite)
	 */
	public void createControl(Composite parent) {
		
		
		Composite composite = new Composite(parent, SWT.NONE);
		GridLayout gridLayout = new GridLayout();
		gridLayout.numColumns = 2;
		composite.setLayout(gridLayout);
		
		CLabel label_treeLabel = new CLabel(composite, SWT.NULL);
		label_treeLabel.setText("Label:");
		
		text_treeLabel = new Text(composite, SWT.BORDER);
		text_treeLabel.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, false));

		// FIXME this is a rudimentary implementation. Add missing fields.
		
		setControl(composite);
	}

	/**
	 * @return the text_treeLabel
	 */
	public String getTreeLabel() {
		return text_treeLabel.getText();
	}
}
