// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor.images;

import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.widgets.Composite;

import eu.etaxonomy.taxeditor.editor.AbstractTaxonEditor;
import eu.etaxonomy.taxeditor.editor.GroupComposite;

/**
 * @author p.ciardelli
 * @created 30.03.2009
 * @version 1.0
 */
public class ImagesGroupComposite extends GroupComposite {

	public ImagesGroupComposite(Composite parent, AbstractTaxonEditor editor) {
		super(editor, parent);
	
		Color groupBackgroundColor = getDisplay().getSystemColor(SWT.COLOR_WHITE);
		setBackground(groupBackgroundColor);
	}
}
