/**
 * 
 */
package eu.etaxonomy.taxeditor.propertysheet.name;

import eu.etaxonomy.cdm.model.name.TaxonNameBase;
import eu.etaxonomy.cdm.model.taxon.Synonym;
import eu.etaxonomy.taxeditor.model.NameUtil;

/**
 * @author p.ciardelli
 *
 */
public class SynonymPropertySource extends TaxonBasePropertySource {

	
	boolean isBasionym = false;
	
	/**
	 * @param synonym
	 */
	public SynonymPropertySource(Synonym synonym) {
		super(synonym, "Synonym Name");
		
		setIsBasionym();
	}

	/**
	 * 
	 */
	private void setIsBasionym() {
		TaxonNameBase name = getTaxonBase().getName();
		isBasionym = NameUtil.isNameGroupBasionym(name);
	}
}
