/**
 * 
 */
package eu.etaxonomy.taxeditor.navigation.navigator;

import org.eclipse.core.expressions.PropertyTester;

import eu.etaxonomy.cdm.model.taxon.Taxon;
import eu.etaxonomy.cdm.model.taxon.TaxonNode;

public class TaxonNodePropertyTester extends PropertyTester {
	
	private static final Object HAS_SYNONYMS = "hasSynonyms";
	
	public boolean test(Object receiver, String property, Object[] args,
			Object expectedValue) {
		if (receiver instanceof TaxonNode && HAS_SYNONYMS.equals(property)) {
			Taxon taxon = ((TaxonNode) receiver).getTaxon();
			return taxon.hasSynonyms();
		}
		
		return false;
	}
}
